<div align="justify" dir="rtl">

<p align="center" dir="rtl">بسم الله الرحمن الرحیم</p>

<p align="center">
  <img src="img2/1.jpg" />
  <br>  
  <br>  
</p>
اگر کمی هم به تکنولوژی، صنعت، علم و حتی هنر علاقه‌مند باشید، حتما عبارت هوش مصنوعی را در سال‌های اخیر شنیده‌اید. در پاسخ به سوال هوش مصنوعی چیست؟ در پاسخ باید گفت که این رشته شاخه‌ای گسترده از علوم کامپیوتر محسوب می‌شود که به‌طورخلاصه و ساده، هدفش تولید سیستم‌های هوشمند قادر به انجام فعالیت‌های نیازمند به هوش انسانی است. این فعالیت می‌تواند از نگارش همین محتوایی که در حال مطالعه هستید تا جراحی یا حتی آهنگسازی‌های ساده را در بر بگیرد.

به‌طور حتم در سال‌های آینده، هوش مصنوعی قطعا نقش فعال‌تری در زندگی روزمره‌ی ما بازی خواهد کرد. بنابراین آشنایی با ماهیت، انواع، مزایا و دیگر جزئیات مربوط به آن می‌تواند جذاب و حتی ضروری باشد. در این مقاله، ضمن بررسی کلی این تکنولوژی و معرفی جوانب آن، انواع مختلفش را مرور کرده و سپس به بیان کاربردها، مفاهیم، مزایا و غیره می‌پردازیم. با ما همراه شده و با یکی از انقلابی‌ترین تکنولوژی‌های حال حاضر دنیا آشنا شوید.

## [فهرست محتوا](#X){#X}

<details >
<summary>+</summary>
    <summary><a href="#A1">ماهیت هوش مصنوعی چیست؟</a></summary>
    <summary><a href="#A2">مکانیسم عملکرد هوش مصنوعی چیست؟</a></summary>
    <summary><a href="#A3">مثالی از سازوکار هوش مصنوعی</a></summary>
    <summary><a href="#A4">برنامه نویسی هوش مصنوعی چیست؟</a></summary>
    <details>
    <summary><a href="#A5">هوش مصنوعی قوی یا ضعیف</a></summary>
    <summary><a href="#A6">AI قوی چیست؟</a></summary>
    <summary><a href="#A7">AI ضعیف چیست؟</a></summary>
    </details>
    <details>
    <summary><a href="#A8">ماشین لرنینگ و دیپ لرنینگ دو المان مهم هوش مصنوعی</a></summary>
    <summary><a href="#A9">منظور از ماشین لرنینگ در هوش مصنوعی</a></summary>
    <summary><a href="#A10">منظور از دیپ لرنینگ در هوش مصنوعی</a></summary>
    </details>
    <details>
    <summary><a href="#A11">انواع ماشین های هوش مصنوعی</a></summary>
    <summary><a href="#A12">ماشین واکنشی</a></summary>
    <summary><a href="#A13">ماشین حافظه محدود</a></summary>
    <summary><a href="#A14">ماشین تئوری ذهن</a></summary>
    <summary><a href="#A15">ماشین خودآگاهی</a></summary>
    </details>
    <details>
    <summary><a href="#A16">نمونه هایی از کاربردها و چند شرکت هوش مصنوعی</a></summary>
    <summary><a href="#A17">ChatGPT</a></summary>
    <summary><a href="#A18">گوگل مپ</a></summary>
    <summary><a href="#A19">دستیارهای هوشمند</a></summary>
    <summary><a href="#A20">فیلترهای اسنپ چت</a></summary>
    <summary><a href="#A21">ماشین‌های خودران</a></summary>
    <summary><a href="#A22">گجت های پوشیدنی</a></summary>
    </details>
    <details>
    <summary><a href="#A23">نقش هوش مصنوعی در یادگیری</a></summary>
    <summary><a href="#A24">آموزش شخصی سازی شده</a></summary>
    <summary><a href="#A25">آموزش مدرس</a></summary>
    <summary><a href="#A26">رفع محدودیت زمانی آموزش</a></summary>
    <summary><a href="#A27">اتوماسیون امور آموزشی</a></summary>
    <summary><a href="#A28">تولید محتوای هوشمند</a></summary>
    </details>
    <summary><a href="#A29">مزایای هوش مصنوعی چیست؟</a></summary>
    <summary><a href="#A30">پذیرش عمومی؛ مهم ترین چالش هوش مصنوعی</a></summary>
    <details>
    <summary><a href="#A31">آینده هوش مصنوعی</a></summary>
    <summary><a href="#A32">سخن آخر درباره AI</a></summary>
    </details>
    <summary><a href="#A33">سوالات متداول درباره هوش مصنوعی</a></summary>
</details>

## [ماهیت هوش مصنوعی چیست؟](#X){#A1}

به‌طورکلی هوش مصنوعی یا Artificial Intelligence و به‌اختصار AI عبارت از شبیه‌سازی فرآیندهای ذهنی و هوش انسانی توسط ماشین‌ها و کامپیوترها به‌منظور تکرار این فرآیند و نتایج حاصل از آن، بدون نیاز به انسان است.

علی‌رغم قرارداشتن پایه‌های هوش مصنوعی در علوم کامپیوتر، امروزه به آن، به‌عنوان یک علم میان‌رشته‌ای نگاه می‌شود. حتی ردپای علوم انسانی و پزشکی را نیز می‌توان در برخی شاخه‌های مطالعاتی و کاربردی آن دید. با‌این‌حال این علم، آنطور که شاید به‌نظر برسد از زندگی روزمره‌ی ما دور نیست. در خانه و کامپیوتر هر یک از ما، ردپای آن در محصولات برندهایی مانند گوگل، اپل و آمازون دیده می‌شود. هربار که Siri را در گوشی اپل و Alexa را در سیستم هوشمند خانگی آمازون خود صدا می‌زنید، درواقع در حال استفاده از هوش مصنوعی هستید.

امروزه حتی هنگام خرید نیز ممکن است فروشنده یا تولیدکننده، مدعی استفاده از AI در محصولش شود. منظور آن‌ها در بیشتر مواقع، حضور یکی از جوانب این تکنولوژی مانند ماشین لرنینگ یا یادگیری ماشینی (Machine Learning) در طراحی محصول است.

## [مکانیسم عملکرد هوش مصنوعی چیست؟](#X){#A2}

فارغ از تعریف علمی باید بدانیم که سازوکار یک ماشین هوش مصنوعی چیست؟ به‌طور‌ساده باید بگوییم اساس عملکرد این ماشین‌ها بر آنالیز داده‌های انبوه و سپس مدل‌سازی آن‌ها استوار است. آن‌ها سپس بر اساس مدل به‌دست‌آمده تصمیم یا نتیجه‌ی لازم را ارائه می‌دهند. مثلا جستجوی صوتی یا تصویری گوگل با آنالیز زبان، رنگ، المان‌ها و غیره انجام می‌شود تا مرتبط‌ترین نتایج منطبق با گفتار و مطالب موجود در اینترنت به مخاطب نمایش داده شود. گوگل برای این ویژگی و دیگر امکاناتش از چندین شرکت هوش مصنوعی کمک می‌گیرد.

هوش مصنوعی با گذشت ده‌ها سال از زمان مطرح شدنش، هنوز به‌طورکامل نتوانسته است خود را از نظارت و دخالت انسانی بی‌نیاز کند. هرچند در برخی موارد مانند بازی‌های ویدئویی، دیگر نیازی به نظارت انسانی نیست اما در بیشتر سیستم‌ها حضور انسان برای مدل‌سازی بهتر و تصحیح اشتباهات ضروری است.

<p align="center">
  <img src="img2/2.jpg" />
  <br> 
  مکانیسم هوش مصنوعی چیست؟
  <br>  
</p>

## [مثالی از سازوکار هوش مصنوعی](#X){#A3}

برای درک بهتر عملکرد هوش مصنوعی یک ربات چت را تصور کنید. امروزه این ربات‌ها را با ورود به وب‌سایت‌های مختلف به‌ویژه وب‌سایت‌های فروشگاهی به‌وفور می‌بینیم. درحالی‌که تصور می‌شود شاید فردی در حال چت با شماست؛ اما در بیشتر مواقع، اینگونه نیست. این نرم‌افزارها، شامل تعداد زیادی پیام پیش‌فرض هستند که در زمان مناسب و در جواب به سوال یا درخواست مشخصی از شما به‌عنوان کاربر برای‌تان ارسال می‌شود. در‌واقع، یک ربات چت، تشخیص می‌دهد که در برابر چه کلمات، حروف و جملاتی، کدام جواب را ارسال کند.

## [برنامه نویسی هوش مصنوعی چیست؟](#X){#A4}

اجرای هر تکنولوژی هوش مصنوعی به برنامه‌نویسی به این زبان نیاز دارد. برنامه‌نویسی AI شامل سه بخش اصلی زیر است:

    یادگیری؛ در این بخش، قوانین و نحوه‌ی عملکرد یک سیستم AI در قالب الگوریتم‌های آن گنجانده شده و کل سیستم بر اساس الگوریتم‌هایش عمل می‌کند.
    استدلال؛ این بخش از برنامه‌نویسی AI تعیین می‌کند که کدام الگوریتم برای چه منظوری باید راه‌اندازی شود.
    اصلاح؛ این بخش از برنامه‌ی نوشته‌شده، خطاهای الگوریتم‌ها را تشخیص داده و بر ارائه‌ی هرچه دقیق‌تر جواب‌ها در هر بار استفاده متمرکز است.

آموزش هوش مصنوعی با پایتون و R جاوا اسکریپت و دیگر زبان‌های برنامه نویسی انجام می‌شود.

## [هوش مصنوعی قوی یا ضعیف](#X){#A5}

اما منظور از قوی (Strong) و ضعیف (Weak) در هوش مصنوعی چیست؟ در این بخش به این سوال پاسخ خواهیم داد.

<p align="center">
  <img src="img2/3.jpg" />
  <br>
  تفاوت هوش مصنوعی قوی و ضعیف  
  <br>  
</p>

## [AI قوی چیست؟](#X){#A6}

هوش مصنوعی قوی یا Strong AI ماشینی است که می‌تواند روی مسائل یا مشکلاتی کار کند که برای آن‌ها آموزش ندیده یا برنامه‌ریزی نشده است. این تکنولوژی، هوش مصنوعی را هرچه بیشتر به انسانی شبیه کرده که می‌تواند در لحظه با هر مسئله‌ای دست‌وپنجه نرم کند. به این شاخه از AI، هوش مصنوعی عمومی (Artificial General Intelligence) یا به‌اختصار AGI گفته می‌شود.

هدف اصلی AGI به‌طورخلاصه، تکرار و شبیه‌سازی توانمندی‌های شناختی مغز انسان است. توانمندی‌های شناختی مغز مبتنی بر منطق فازی (Fuzzy Logic) بوده و برای انتقال دانش حل مسئله از یک زمینه به زمینه‌ی دیگر استفاده می‌شوند. حتما می‌پرسید که معیار قوی بودن یک ماشین هوش مصنوعی چیست؟ در حالت تئوری، فرض دانشمندان بر این است که اگر ماشینی بتواند دو آزمون تورینگ یا بازی تقلید (Turing Test) و اتاق چینی (Chinese Room) را پشت سر بگذارد، می‌توان آن را AI‌ قوی قلمداد کرد. این دو تست برای ارزیابی میزان و قدرت هوش مصنوعی کامپیوترها و الگوریتم‌های آن‌ها طراحی شده‌اند.

AI قوی را اکنون باید تنها در شخصیت‌های فیلم‌های علمی‌تخیلی مانند شخصیت Data در Star Track ببینیم. دانشمندان در آزمایشگاه به نتایج محدودی درباره‌ی این تکنولوژی رسیده‌اند. آن‌ها اما مانند بسیاری از تکنولوژی‌هایی که امروز از آن‌ها استفاده می‌کنیم، امید دارند که AI قوی نیز قطعا روزی به واقعیت بدل شود. بسیاری نیز نگران نتایج غیرقابل‌کنترل اعمال ماشین‌هایی هستند که با موفقیت در راه‌اندازی کامل این تکنولوژی، ممکن است اتفاق بیفتد.

## [AI ضعیف چیست؟](#X){#A7}

اما نوع ضعیف هوش مصنوعی چیست؟ تابه‌امروز هر استفاده‌ای که از هوش مصنوعی کرده‌ایم، مربوط به این حوزه بوده است. به این شاخه، هوش مصنوعی باریک (Narrow AI) و Specialized AI نیز گفته می‌شود . منظور از AI ضعیف، کاربرد این تکنولوژی در شاخه‌ای خاص از تکنولوژی، صنعت، پزشکی یا هر زمینه‌ی دیگری است.

یک ماشین مجهز به هوش مصنوعی ضعیف، تنها قادر است که ذهن انسان را در رابطه با مهارت، چالش یا موضوعی خاص شبیه‌سازی کرده و بر اساس الگوریتم‌هایش مدل‌سازی کند. نمونه‌هایی از هوش مصنوعی ضعیف عبارتند از:

-   سیری و الکسا و کلیه Assistant‌ های هوشمند
-   ماشین‌های خودران
-   جستجوی گوگل
-   ربات‌های مکالمه‌ای
-   فیلترهای اسپم ایمیل
-   پیشنهاددهنده‌های محتوا در شبکه‌های اجتماعی مانند یوتیوب و گوگل

## [ماشین لرنینگ و دیپ لرنینگ دو المان مهم هوش مصنوعی](#X){#A8}

دو المان مهم مفهومی و تکنولوژیکی هوش مصنوعی ماشین لرنینگ و دیپ لرنینگ (Deep Learning) هستند. درحالی‌که بسیاری آن‌ها را به‌جای یکدیگر به‌کار می‌برند؛ اما ماهیت و کارکرد آن‌ها متفاوت است. در این بخش، این دو المان را معرفی می‌کنیم.

<p align="center">
  <img src="img2/4.jpg" />
  <br>  
  ماشین لرنینگ و دیپ لرنینگ
  <br>  
</p>

## [منظور از ماشین لرنینگ در هوش مصنوعی](#X){#A9}

منظور از ماشین لرنینگ در هوش مصنوعی چیست؟ ماشین لرنینگ فرایندی است که طی آن، داده‌های یک الگوریتم توسط کامپیوتر و تکنیک‌های آماری تغذیه می‌شوند. هدف از این کار، کمک به یادگیری و بهبود تدریجی عملکرد الگوریتم است. این الگوریتم لزوما برای انجام یک کار خاص برنامه‌ریزی نشده است؛ اما به‌واسطه‌ی این سازوکار می‌تواند به تدریج، روند انجام آن را فرا بگیرد.

به یک الگوریتم Machine Learning به‌اختصار ML گفته می‌شود. این الگوریتم از داده‌های قبلی و ساختاریافته به‌منظور پیش‌بینی مقادیر خروجی خود استفاده می‌کند. بر این اساس، ماشین لرنینگ خود به دو نوع زیر تقسیم می‌شود:

    یادگیری نظارت‌شده یا supervised learning که در آن، نتایج بر اساس داده‌های ورودی برچسب‌گذاری‌شده یا ساختاریافته از قبل مشخص هستند.
    یادگیری غیرنظارت‌شده یا unsupervised learning که در آن از داده‌های بدون برچسب یا غیرساختاری استفاده می‌شود. نتایج این الگوریتم، غیرقابل‌پیش‌بینی هستند.

## [منظور از دیپ لرنینگ در هوش مصنوعی](#X){#A10}

اما منظور از دیپ لرنینگ (Deep Learning) در هوش مصنوعی چیست؟ این الگوریتم، نوعی الگوریتم ماشین لرنینگ است که داده‌های ورودی خود را با الهام از مدل‌های شبکه‌ی عصبی موجودات زنده اجرا می‌کند. این مدل‌ها از علم بیولوژی کپی می‌شوند. در یک شبکه‌ی عصبی، لایه‌های متعدد (حداقل سه لایه) وجود دارند. هریک از این لایه‌ها می‌توانند ورودی یا خروجی باشند. وظیفه‌ی نهایی آن‌ها نیز این است که داده‌ها را در سطوح متفاوتی پردازش کنند. این مکانیسم به الگوریتم، امکان یادگیری عمیق‌تر الگوی موردنظر را می‌دهند.

یک شرکت هوش مصنوعی عمیق تلاش می‌کند با کاربرد دیپ لرنینگ در الگوریتم‌های خود، مداخلات انسانی و نیاز به نظارت او را کاهش دهد. این الگوریتم، ویژگی‌های خودکار بیشتری نسبت یادگیری ماشینی داشته و امکان پردازش داده‌های بزرگتر را فراهم می‌کند. به‌این‌ترتیب می‌توان این دیپ لرنینگ را نوعی یادگیری ماشینی مقیاس‌پذیر دانست.

یادگیری عمیق همچنین قدرت بالایی در پردازش داده‌های غیرساختاری خام مانند تصاویر و متون دارد. چنین سیستمی می‌تواند با استفاده از ویژگی‌های سلسله‌مراتبی که برایش تعریف شده، این نوع داده‌ها را به‌راحتی و با دقت و سرعت بیشتری طبقه‌بندی کند.

## [انواع ماشین های هوش مصنوعی](#X){#A11}

از سال ۲۰۱۶ و بر اساس پیشنهاد آرند هینتزه (Arend Hintze) استاد دانشگاه ایالتی میشیگان در رشته‌های زیست‌شناسی، علوم کامپیوتر و مهندسی، ماشین‌های هوش مصنوعی به چهار دسته تقسیم‌بندی شدند. این دسته‌بندی جزئیات بیشتری در مورد نوع و پیچیدگی وظایف یک سیستم AI ارائه می‌دهد. در ادامه، انواع هوش مصنوعی بر این اساس را بررسی می‌کنیم.

## [ماشین واکنشی](#X){#A12}

ماشین واکنشی یا Reactive Machine در هوش مصنوعی چیست؟ این سیستم از ابتدایی‌ترین مفاهیم هوش مصنوعی بهره می‌برد. همانطورکه از عنوان این ماشین پیداست، تنها قادر است از الگوریتم‌های خود برای درک و واکنش متقابل استفاده کند. Reactive Machine، حافظه‌ای ندارد و نمی‌تواند اطلاعات را ذخیره کند. بنابراین استفاده از داده‌های گذشته برای مدل‌سازی‌های بعدی نیز در آن منتفی است.

ماشین‌های واکنشی یا واکنش‌گرا برای انجام وظایف خاصی طراحی می‌شوند. محدودیت عملکرد و ادراک آن‌ها، سبب قابل‌اعتمادتر‌شدن نتایج حاصل از الگوریتم‌های‌شان می‌شود.

<p align="center">
  <img src="img2/5.jpg" />
  <br>
   انواع ماشین در هوش مصنوعی
  <br>  
</p>

## [ماشین حافظه محدود](#X){#A13}

یک ماشین هوش مصنوعی حافظه محدود (Limited Memory) می‌تواند دادها و پیش‌‌بینی‌های قبلی ذخیره کند. اطلاعات هنگام مدل‌سازی‌ها و ارائه نتایج در دفعات بعدی اجرای الگوریتم‌ها به کمک سیستم آمده و نتایج آن را دقیق‌تر می‌کنند. هدف از طراحی چنین سیستمی به‌دست‌آوردن پیش‌‌بینی‌های محدود، درباره‌ی نتایج با توجه به داده‌های گذشته است.

یک سیستم هوش مصنوعی حافظه محدود با پرورش یک مدل و آموزش آن، برای تجزیه و تحلیل و نحوه استفاده از داده‌های جدید ساخته می‌شود. به‌این‌ترتیب مدل موردنظر قابلیت‌های عملکرد خودکار بیشتری نسبت به ماشین‌های واکنشی خواهد داشت.

اگر می‌پرسید که نحوه‌ی ساخت یک ماشین حافظه محدود هوش مصنوعی چیست؟ به‌طورساده باید به مراحل زیر اشاره کنیم:

-   تولید داده‌های آموزشی برای ارائه به ماشین
-   برنامه‌نویسی مدل ماشین لرنینگ
-   تست و اطمینان از توانایی پیش‌بینی مدل
-   اطمینان از توانایی مدل در دریافت بازخوردهای انسانی و محیطی
-   ذخیره بازخوردهای انسانی و محیطی به‌عنوان داده
-   تکرار چرخه‌ای پنج مرحله‌ی قبلی

## [ماشین تئوری ذهن](#X){#A14}

ماشین تئوری ذهن (Theory of the Mind) هنوز در حد تئوری بوده و بشر هنوز به توانایی‌های لازم برای شکوفایی پتانسیل‌های آن دست نیافته است. این تئوری بر یک فرضیه‌ی اساسی روانشناختی استوار است که می‌گوید رفتار فرد می‌تواند تحت تاثیر افکار و احساسات دیگران قرار بگیرد.

بر این اساس، محققان این حوزه در تلاش برای ساختن ماشینی هستند که بتواند احساس یا منظور موجودات زنده و دیگر ماشین‌ها را را درک کند. این ماشین از طریق تامل خودش (Self-Reflection) در مورد این اطلاعات، تصمیم‌گیری و عمل می‌کند. بنابراین با اختراع ماشین تئوری ذهن، ارتباط حسی در زمان واقعی بین ذهن انسان و هوش مصنوعی برقرار خواهد شد.

<p align="center">
  <img src="img2/6.jpg" />
  <br>  
  ماشین تئوری ذهن در AI
  <br>  
</p>

## [ماشین خودآگاهی](#X){#A15}

کلمه خودآگاهی را در روانشناسی و علوم انسانی زیاد می‌شنویم؛ اما منظور از آن در هوش مصنوعی چیست؟ به‌طور‌ساده باید گفت که پیدایش این ماشین، به پیدایش ماشین هوش مصنوعی تئوری ذهن وابسته است. ماشین هوش مصنوعی، خودآگاهی (Self-Awareness) درحال‌حاضر حد نهایت پیشرفت این تکنولوژی تلقی می‌شود. سطح آگاهی چنین ماشینی در حد انسان بوده و از وجود خود در جهان و حضور دیگران و وضعیت احساسی و ذهنی‌شان آگاه است.

در حالت ایده‌آل یک ماشین خودآگاه می‌تواند بفهمد که نیازهای دیگران نه‌فقط به‌واسطه‌ی داده‌های ورودی؛ بلکه بر اساس نوع رفتار، حالت چهره، حالت صدا و به‌طورکلی نحوه‌ی برقراری ارتباط آن‌ها چیست. لازمه‌ی پیشرفت در این زمینه، پیش از هرچیز این است که مکانیسم هوشیاری و خودآگاهی در انسان درک شود. عرصه‌ای که هنوز، ناشناخته‌های زیادی برای دانشمندان دارد. پس‌ازآن لازم است که مدل‌هایی برای تکرار و پیاده‌سازی فرآیند خودآگاهی در ماشین هوش مصنوعی طراحی شوند.

## [نمونه هایی از کاربردها و چند شرکت هوش مصنوعی](#X){#A16}

همانطورکه تاکنون نیز متوجه شده‌اید، هوش مصنوعی در میانه‌ی راه خود قرار دارد. برخی اهداف و جنبه‌های آن محقق شده و برخی دیگر هنوز در مرحله‌ی تئوری هستند. هم‌اکنون تعداد زیادی شرکت هوش مصنوعی با محصولات متفاوت در حال فعالیت هستند. برای درک بهتر موقعیت فعلی این تکنولوژی و کاربردهایش در ادامه مثال‌هایی از آن را بررسی می‌کنیم.

## [ChatGPT](#X){#A17}

ربات چت جی‌پی‌تی یک ربات، توسعه‌یافته با هوش مصنوعی است که قادر است محتوای نوشتاری در قالب‌های مختلف تولید کند. این قالب‌ها از مقاله گرفته تا کدهای برنامه‌نویسی و پاسخ به سوالات ساده را در بر می‌گیرند. شرکت هوش مصنوعی OpenAI در ماه نوامبر ۲۰۲۲ این محصول را با استفاده از یک مدل زبانی تولید کرد که قادر به تقلید بسیار عالی متون نوشته‌شده توسط انسان است. برای مطالعه‌ی بیشتر دراین‌باره مقاله‌ی ChatGPT چیست و چگونه کار می‌کند؟ را به شما توصیه می‌کنیم.
ی

<p align="center">
  <img src="img2/7.jpg" />
  <br>چت جی پی ت<br>  
</p>

## [گوگل مپ](#X){#A18}

اگر می‌پرسید که رابطه‌ی گوگل مپ و هوش مصنوعی چیست؟ باید بگوییم همه‌چیز! گوگل مپ یکی از شناخته‌شده‌ترین محصولات نرم‌افزاری توسعه‌یافته با هوش مصنوعی است. نقشه‌های گوگل بر اساس داده‌هایی تدوین یافته‌اند که از موقعیت مکانی گوشی‌های هوشمند و نیز داده‌های گزارش‌شده توسط خود کاربران تهیه می‌شوند. وضعیت ترافیکی جاده‌ها، تصادف و بسته شدن موقت جاده، نمونه‌هایی از این داده‌ها هستند. گوگل مپ با استفاده از هوش مصنوعی است که می‌تواند سریع‌ترین و کوتاه‌ترین مسیر، زمان تقریبی رسیدن شما به محل و دیگر جزئیات را به شما ارائه کند.

## [دستیارهای هوشمند](#X){#A19}

به Smart Assistant ‌ها در بخش‌های قبلی مقاله نیز اشاراتی کردیم. سیری، الکسا و کورتانا (متعلق به شرکت مایکروسافت) معروف‌ترین‌های این صنعت هستند. اما رابطه‌ی آن‌ها با هوش مصنوعی چیست؟ این دستگاه‌ها از الگوریتم‌های هوش مصنوعی پردازش زبان طبیعی (Natural Language Processing) یا به‌اختصار NPL برای دریافت دستورالعمل‌های صوتی از کاربران استفاده می‌کنند. خدمات آن‌ها مواردی مانند یادآوری، جستجوی اطلاعات آنلاین و کنترل نور محیط را شامل می‌شود. هوش مصنوعی دستیارهای هوشمند، قادر به بهبود عملکرد خود و ارائه‌ی پیشنهادهای بهتر با ذخیره‌ی اطلاعات قبلی و مدل‌سازی ترجیحات کاربران است.

<p align="center">
  <img src="img2/8.jpg" />
  <br>مثال هوش مصنوعی<br>  
</p>

## [فیلترهای اسنپ چت](#X){#A20}

همانطورکه می‌دانید اسنپ چت، یک اپلیکیشن پیام‌رسان و شبکه اجتماعی است که از طریق آن می‌توان پیام‌های تصویری، ویدئوی و متنی ارسال کرد. ویژگی اصلی این اپلیکیشن، ناپدیدشدن پیام‌ها پس از مشاهده توسط دریافت‌کننده است. اسنپ چت از الگوریتم‌های ماشین لرنینگ برای تمایز سوژه‌ی تصویری (پیام تصویری موردنظر) و پس‌زمینه استفاده می‌کند. به این ویژگی، فیلتر اسنپ چت گفته می‌شود.

## [ماشین‌های خودران](#X){#A21}

در یک ماشین خودران نقش هوش مصنوعی چیست؟ در این صنعت، هوش مصنوعی همه‌کاره است. چنین خودرویی از الگوریتم‌های یادگیری عمیق برای شناسایی اشیاء و خودروهای اطراف، تعیین فاصله‌ی ایمن، سرعت لازم، شناسایی مسیر، شناسایی علائم رانندگی و غیره استفاده می‌کند. به‌عنوان مثال، ویژگی اتوپایلوت (Autopilot) در خودروهای شرکت تسلا و سوپرکروز (Super Cruise) در برخی محصولات جنرال موتورز از هوش مصنوعی استفاده می‌کنند.

## [گجت های پوشیدنی](#X){#A22}

حسگرها و دستگاه‌های دیجیتال پوشیدنی امروزه کاربرد فراوانی در زندگی روزمره به‌خصوص با کاربردهای پزشکی پیدا کرده‌اند. آن‌ها می‌توانند فشار خون، ضربان قلب، قند خون و دیگر ویژگی‌های مربوط به سلامتی‌تان را به شما گزارش کنند. این دستگاه‌ها گزارش‌های خود را با استفاده از داده‌های پزشکی قبلی‌تان به‌دست می‌آورند که با تکنولوژی جمع‌آوری شده‌اند.

<p align="center">
  <img src="img2/9.jpg" />
  <br>مزایای هوش مصنوعی<br>  
</p>

##[نقش هوش مصنوعی در یادگیری](#X){#A23}

یکی از مهم‌ترین کاربردهای AI در صنعت آموزش است. این تکنولوژی در سال‌های اخیر آموزش شخصی‌سازی‌شده، سریع، جذاب، اینتراکتیو و چند بعدی را بیش‌ازپیش محقق کرده و به‌خصوص در دوران کرونا پتانسیل‌های خود را بیشتر نشان داد. درحال حاضر تعداد زیاد شرکت هوش مصنوعی با تمرکز بر کاربردهای آن در آموزش در دنیا فعال بوده و حتی بودجه‌های دولتی دریافت می‌کنند. هدف آن‌ها به‌طور‌خلاصه، بهبود تجربه‌ی آموزش برای سازمان، مدرس و فراگیر از جهات مالی، علمی و غیره است. در ادامه، نقش هوش مصنوعی در یادگیری را با بررسی پنج فاکتور مهم، بررسی می‌کنیم.

## [آموزش شخصی سازی شده](#X){#A24}

یکی از مهم‌ترین معضلات آموزش، شباهت روش و محیط یادگیری برای همه‌ی فراگیران است. این در حالی است که مغز هر فرد، الگوها و عادات یادگیری متفاوتی دارد. اگر می‌پرسید که در این زمینه فایده‌ی هوش مصنوعی چیست؟ باید گفت که ماشین‌های AI، علایق، توانمندی‌ها، اولویت‌ها و دیگر اطلاعات در مورد فراگیران را دریافت کرده و فرآیند یادگیری را برای آن‌ها شخصی‌سازی می‌کنند. یک نمونه‌ی پیشرو از کاربرد AI در آموزش، پروژه‌ی ملی آموزش در کشور استونی است.

## [آموزش مدرس](#X){#A25}

دیگر کاربرد هوش مصنوعی در یادگیری، آموزش و توسعه‌ی علمی، مدیریتی و فردی مدرس است. چالشی که آموزش، همواره با آن مواجه بوده و یکی از دلایل افت کیفیتش محسوب می‌شود. تکنولوژی AI‌ می‌تواند به توسعه‌ی شبکه‌های کامپیوتری و اینترنتی منجر شود که مدرس بتواند از شیوه‌های جدید یادگیری آگاه شده و همواره بر لبه‌ی علمی حوزه‌ی آموزشی خود حرکت کند.

## [رفع محدودیت زمانی آموزش](#X){#A26}

به کمک AI یادگیری دیگر به ساعات کلاس محدود نخواهد بود. به‌عنوان مثال دانش‌آموزان می‌توانند با استفاده از ربات‌های چت، سوالات علمی و سوالات مربوط به امور اداری آموزش را از سیستم هوش مصنوعی بپرسند. به‌این‌ترتیب، سرعت و کیفیت یادگیری افزایش یافته و در هزینه و زمان مدرس و موسسه‌ی آموزشی نیز صرفه‌جویی می‌شود.

<p align="center">
  <img src="img210.jpg" />
  <br>نقش هوش مصنوعی در یادگیری<br>  
</p>

## [اتوماسیون امور آموزشی](#X){#A27}

نظرسنجی‌ها نشان می‌دهند که معلم‌های مدارس در کشورهای پیشرفته، حدود ۳۰ درصد از زمان خود را صرف امور اداری آموزش می‌کنند. برنامه‌ریزی آموزش، نمره‌دهی، حضور و غیاب و غیره نمونه‌هایی از این امور هستند. مشخص است که در‌این‌باره فایده هوش مصنوعی چیست؟ این موارد می‌توانند به کمک هوش مصنوعی تا حد زیادی به‌صورت خودکار انجام شوند. این صنعت حتی می‌تواند به کمک تصحیح آزمون‌ها و بررسی تکالیف دانش‌آموزان بیاید.

## [تولید محتوای هوشمند](#X){#A28}

به‌ویژه در آموزش مجازی، نقش محتوا بسیار پررنگ است. نقش هوش مصنوعی در یادگیری آنلاین و حتی حضوری از کمک به تولید محتوای آموزشی جذاب و سریع شروع شده و تا ایجاد محیط‌های مطالعاتی پیچیده، ادامه می‌یابد. نرم‌افزارهای آموزشی متعددی از AI برای تولید محتوای خود استفاده می‌کنند. نرم‌افزار آموزش مجازی زبان دولینگو، یک نمونه از آن‌هاست. تولید و طراحی مواردی مانند دروس دیجیتال، راهنمای مطالعه، تمرین و آزمون نیز می‌تواند به‌راحتی و با کمک الگوریتم‌های AI‌ انجام شود.

## [مزایای هوش مصنوعی چیست؟](#X){#A29}

هوش مصنوعی در بسیاری از زمینه‌ها تحقق رویاهای دیرینه انسان را بیش‌ازپیش به واقعیت نزدیک کرده است. بودجه‌های هنگفت صرف‌شده برای آن در چند سال اخیر، گواه این موضوع هستند. از مهم‌ترین مزایای این تکنولوژی می‌توان به موارد زیر اشاره کرد:

-   توانایی پردازش حجم بسیار زیاد اطلاعات در مدت‌زمان بسیار اندک
-   پردازش و نتیجه‌گیری از اطلاعات با دقتی بسیار بالاتر از هر ماشین و تکنولوژی دیگر
-   توانایی پیش‌بینی بسیار بالا
-   تسهیل زندگی روزمره و توسعه‌ی جهانی رفاه انسانی
-   کمک به شفافیت اطلاعات

به‌عنوان مثال درحال‌حاضر در صنعت بانکداری، بیش از نیمی از شرکت‌های خدمات مالی از هوش مصنوعی برای مدیریت دارایی‌ها، درآمدزایی و کاهش ریسک سرمایه‌گذاری استفاده می‌کنند. هوش مصنوعی، هزینه‌های آن‌ها را در این زمینه‌ها به‌شدت کاهش می‌دهد. در صنعتی پزشکی نیز AI در کشف و توسعه واکسن‌ها، تشخیص دقیق‌تر بیماری‌ها و توسعه سیاست‌های بهداشتی کاربردهای فراوانی پیدا کرده است. رسانه‌ها و پلتفرم‌های شبکه‌ی اجتماعی نیز از هوش مصنوعی با هدف جلوگیری از سرقت ادبی و بهبود ویژگی‌های گرافیکی‌شان بهره می‌برند.

## [پذیرش عمومی؛ مهم ترین چالش هوش مصنوعی](#X){#A30}

اگر می پرسید که مهم‌ترین چالش هوش مصنوعی چیست؟ باید بگوییم ترس! درحال‌حاضر علاوه بر چالش‌های فنی، مالی و علمی AI، این تکنولوژی با چالش پذیرش عمومی روبه‌روست. نتایج نظرسنجی‌های مختلف به‌ویژه در آمریکا نشان می‌دهد که ۳۰ الی ۴۰ درصد مردم، نسبت به این تکنولوژی بدبین هستند. بسیاری از آن‌ها حتی اعتقاد دارند که AI می‌تواند بشریت را نابود کند.

حدود ۴۵ درصد افراد شرکت‌کننده در نظرسنجی‌ها نیز نگرانی‌هایی در مورد آینده‌ی هوش مصنوعی دارند. نگرانی عمومی از جایگزینی ربات‌ها با انسان در انجام کارها و افزایش نرخ بیکاری و نتایج ناگوار ناشی از خطا در توسعه‌ی این تکنولوژی به‌خصوص در پزشکی و اتوموبیل‌های خودروان، برخی چالش‌های پیش روی هر شرکت هوش مصنوعی هستند.

## [آینده هوش مصنوعی](#X){#A31}

با توجه به توضیحات ارائه شده سوال مهم و عمومی این است که در آینده‌ی نزدیک جوامع انسانی نقش هوش مصنوعی چیست؟ واقعیت این است که زیرساخت‌ها و هزینه‌های محاسباتی، اجرایی و تحقیقاتی لازم برای تحقق کامل اهداف هوش مصنوعی، هنوز کاملا فراهم نشده‌اند. با‌این‌حال، روند پیشرفت این صنعت در دهه‌ی ۲۰۱۰ و ابتدای دهه‌ی ۲۰۲۰، نشان می‌دهد که سرعت پیشرفت AI در سال‌های اخیر، حتی از قانون مور (Moore) نیز بهتر بوده است. قانونی که در ارزیابی و پیش‌بینی پیشرفت صنایع تکنولوژیک، کاربرد داشته و می‌گوید که تعداد ترانزیستورهای روی یک تراشه، به‌طور متوسط هر دو سال یک بار، دوبرابر می‌شود. به همین دلیل، پیش‌‌بینی‌ها در مورد آینده هوش مصنوعی ، حاکی از شکوفایی کامل آن تا پیش از سال ۲۰۳۰ است. اتفاقی که برای اینترنت در ۱۰ سال گذشته رخ داد.

<p align="center">
  <img src="img2/11.jpg" />
  <br>آینده هوش مصنوعی<br>  
</p>

## [سخن آخر درباره AI](#X){#A32}

هوش مصنوعی چیست؟ این سوالی بود که تلاش کردیم در این مقاله، به‌طور کامل به آن پاسخ دهیم. Artificial Intelligence یکی از تکنولوژی‌های پیشرو در دنیای امروز ماست. این تکنولوژی تلاش می‌کند با طراحی و توسعه‌ی الگوریتم‌های یادگیری ماشینی، رفتار انسان را در ابتدا درک کرده و به آن پاسخ دهد. در حالت ایده‌آل نیز ماشین‌های توسعه‌یافته‌ی AI‌ می‌توانند مانند انسان رفتار کرده و حتی حالات و احساسات او را درک و تقلید کنند.

هوش مصنوعی هم‌اکنون نیز در زندگی بسیاری از ما حضور داشته و نشانه‌های حضور آن در گوشی‌های تلفن همراه، آموزش، پزشکی و دیگر صنایع، به‌وضوح دیده می‌شود. با وجود چالش‌ها و نگرانی‌های موجود، بیشتر کارشناسان، آینده هوش مصنوعی را درخشان و قابل‌مقایسه با جایگاه اینترنت در دنیای امروز می‌دانند.

## [سوالات متداول درباره هوش مصنوعی](#X){#A33}

<details>
<summary>هوش مصنوعی چیست و چگونه کار می‌کند؟</summary>
هوش مصنوعی یک حوزه از علوم کامپیوتر است که به طراحی و توسعه سیستم‌ها و برنامه‌هایی می‌پردازد که به نحوی مشابه با نحوه عملکرد مغز انسان، بتوانند مسائل را حل و تصمیم‌گیری کنند. هوش مصنوعی بر اساس الگوریتم‌ها و مدل‌هایی مانند شبکه‌های عصبی و یادگیری ماشینی کار می‌کند.
</details>
<details>
<summary>آیا هوش مصنوعی تنها در صنعت و فناوری مورد استفاده قرار می‌گیرد؟</summary>

خیر، هوش مصنوعی به عنوان یک حوزه چند رشته‌ای، در زمینه‌های مختلفی مانند پزشکی، حقوق، آموزش و پرورش، بازاریابی و حوزه‌های دیگر نیز استفاده می‌شود.

</details>
<details>
<summary>چه مزایا و معایبی برای استفاده از هوش مصنوعی وجود دارد؟</summary>

استفاده از هوش مصنوعی مزایای زیادی دارد از جمله: افزایش سرعت و کارایی در انجام وظایف، قابلیت تحلیل داده‌های بزرگ و پیچیده، کاهش خطاهای انسانی و بهبود تصمیم‌گیری. اما در عین حال، معایبی مانند وابستگی بیش از حد به تکنولوژی، مسائل امنیتی و حریم خصوصی و همچنین نگرانی‌های اجتماعی و اخلاقی نیز وجود دارد.

</details>
<details>
<summary>آیا هوش مصنوعی می‌تواند جایگزین انسان‌ها در برخی فعالیت‌ها شود؟</summary>
هوش مصنوعی می‌تواند در برخی فعالیت‌ها و وظایف خاص جایگزین انسان‌ها شود، اما برخی از فعالیت‌ها مانند فعالیت‌های خلاقیت و هنری که نیازمند دانش عمیق انسانی هستند، هنوز به طور کامل قابل جایگزینی توسط هوش مصنوعی نیستند.
</details>
<details>
<summary>چه تفاوتی بین هوش مصنوعی و یادگیری ماشینی وجود دارد؟</summary>
هوش مصنوعی به طور کلی به همه روش‌ها و فنونی اطلاق می‌شود که برای تقویت هوش کامپیوترها استفاده می‌شود. در عین حال، یادگیری ماشینی یک زیرمجموعه از هوش مصنوعی است که تمرکز خود را بر روی توانایی کامپیوترها برای یادگیری از داده‌ها قرار می‌دهد.
</details>

هوش مصنوعی به طور کلی به همه روش‌ها و فنونی اطلاق می‌شود که برای تقویت هوش کامپیوترها استفاده می‌شود. در عین حال، یادگیری ماشینی یک زیرمجموعه از هوش مصنوعی است که تمرکز خود را بر روی توانایی کامپیوترها برای یادگیری از داده‌ها قرار می‌دهد.

<p align="center" dir="rtl">صلوات</p>
</div>
